#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_SG2(void)
{
#if (PRO_SG2)
       SetTelltalePos("MPH",                        MPH);
       SetTelltalePos("HBAGreen",              HBAGreen);
       SetTelltalePos("HBA White",             HBAWhite);
       SetTelltalePos("HighBeam",              HighBeam);
       SetTelltalePos("LowBeam",                LowBeam);
       SetTelltalePos("LeftTurn",              LeftTurn);
       SetTelltalePos("RightTurn",            RightTurn);
       SetTelltalePos("TailLamp",              TailLamp);
       SetTelltalePos("Front Fog",             FrontFog);
       SetTelltalePos("RearFog",                RearFog);
       SetTelltalePos("ParkingBreak",      ParkingBreak);
       SetTelltalePos("OverSpeed",            OverSpeed);
       SetTelltalePos("EPB",                        EPB); 
       SetTelltalePos("ABS",                        ABS);
       SetTelltalePos("LedLampFail",        LedLampFail);
       SetTelltalePos("SeatBelt",              SeatBelt);
       SetTelltalePos("FcaYellow",            FcaYellow);
       SetTelltalePos("FCA RedBlink",            FcaRed);
       SetTelltalePos("ECALL",                    Ecall);
       SetTelltalePos("InteriorLamp",      InteriorLamp);
       SetTelltalePos("EV_MODE",                EV_MODE);
       SetTelltalePos("READY",                    READY);
       SetTelltalePos("Mdps",                      Mdps);
       SetTelltalePos("Tpms",                      Tpms);
       SetTelltalePos("Immobilizer",        Immobilizer);
       SetTelltalePos("MasterSymbol",      MasterSymbol);
       SetTelltalePos("ServiceLamp",        ServiceLamp);
       if (g_VehicleType == CAR_TYPE_PHEV){
          SetTelltalePos("ExternalChargeCable", ExternalChargeCable);
       }
       SetTelltalePos("CheckEngine",        CheckEngine);
       SetTelltalePos("BatteryCharge",    BatteryCharge);
       SetTelltalePos("AirBag",                  AirBag);
       SetTelltalePos("OilPressure",        OilPressure);
       SetTelltalePos("DpfGpf",                  DpfGpf); 
       SetTelltalePos("ESC",                        ESC);
       SetTelltalePos("EscOff",                  EscOff);
       SetTelltalePos("RBS",                        RBS);
       SetTelltalePos("HIGH_TEMP",            HIGH_TEMP);
       SetTelltalePos("AllLedOpen",          AllLedOpen);
       SetTelltalePos("LowFuel",     DMS_RestoreDefault);
#endif   

}


